#
# spec file for package python-libvirt-python
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define srcname libvirt-python
Name:           python-libvirt-python
Url:            https://libvirt.org/
Version:        5.1.0
Release:        3.1
Summary:        Library providing a virtualization API
License:        LGPL-2.1-or-later
Group:          Development/Languages/Python
Source0:        %{srcname}-%{version}.tar.gz
Source1:        %{srcname}-%{version}.tar.gz.asc
Source2:        python-libvirt-python.keyring
BuildRequires:  fdupes
BuildRequires:  libvirt-devel
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module xml}
%ifpython2
Provides:       libvirt-python = %{version}
Obsoletes:      libvirt-python < %{version}
%endif

%python_subpackages

%description
The python-libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (v2.6.20+).

%prep
%setup -q -n %{srcname}-%{version}

# Unset execute bit for example scripts; it can introduce spurious
# RPM dependencies, like /usr/bin/python which can pull in python2
# for the -python3 package
find examples -type f -exec chmod 0644 \{\} \;

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
%{python_sitearch}/*
%pycache_only %{python3_sitearch}/__pycache__/*

%changelog
* Wed Mar  6 2019 jfehlig@suse.com
- Update to 5.1.0
  - Add all new APIs and constants in libvirt 5.1.0
  - jsc#SLE-3887, jsc#SLE-4480, jsc#SLE-4577
* Tue Jan 22 2019 jfehlig@suse.com
- Update to 5.0.0
  - Add all new APIs and constants in libvirt 5.0.0
  - FATE#320928, FATE#325817, FATE#326380, FATE#326698
* Tue Dec  4 2018 jfehlig@suse.com
- Update to 4.10.0
  - Add all new APIs and constants in libvirt 4.10.0
  - FATE#320928, FATE#325817, FATE#326380, FATE#326698
* Mon Nov  5 2018 jfehlig@suse.com
- Update to 4.9.0
  - Add all new APIs and constants in libvirt 4.9.0
  - FATE#326371
* Tue Oct  2 2018 jfehlig@suse.com
- Update to 4.8.0
  - Add all new APIs and constants in libvirt 4.8.0
* Thu Sep 20 2018 jfehlig@suse.com
- Update to 4.7.0
  - Add all new APIs and constants in libvirt 4.7.0
* Mon Aug 13 2018 jfehlig@suse.com
- Update to 4.6.0
  - Add all new APIs and constants in libvirt 4.6.0
- spec: remove %%defattr
* Fri Jul 27 2018 jfehlig@suse.com
- Update to 4.5.0
  - Add all new APIs and constants in libvirt 4.5.0
* Mon Jun  4 2018 jfehlig@suse.com
- Update to 4.4.0
  - Add all new APIs and constants in libvirt 4.4.0
* Wed May  2 2018 jfehlig@suse.com
- Update to 4.3.0
  - Add all new APIs and constants in libvirt 4.3.0
* Thu Apr  5 2018 jfehlig@suse.com
- Update to 4.2.0
  - Add all new APIs and constants in libvirt 4.2.0
* Mon Mar  5 2018 jfehlig@suse.com
- Update to 4.1.0
  - Add all new APIs and constants in libvirt 4.1.0
* Fri Jan 19 2018 jfehlig@suse.com
- Update to 4.0.0
  - Add all new APIs and constants in libvirt 4.0.0
  - BuildRequire matching libvirt version
* Mon Dec 11 2017 jfehlig@suse.com
- Update to 3.10.0
  - Add all new APIs and constants in libvirt 3.10.0
* Wed Nov 29 2017 cbosdonnat@suse.com
- Get rid of python2 dependency on python3 package
* Thu Nov  2 2017 jfehlig@suse.com
- Update to 3.9.0
  - Add all new APIs and constants in libvirt 3.9.0
* Thu Oct  5 2017 jfehlig@suse.com
- Update to 3.8.0
  - Add all new APIs and constants in libvirt 3.8.0
* Mon Oct  2 2017 jengelh@inai.de
- Rectify RPM group. Adjust descriptions for neutrality and
  OS relevance.
* Fri Sep 15 2017 jfehlig@suse.com
- Update to 3.7.0
  - Add all new APIs and constants in libvirt 3.7.0
* Wed Sep 13 2017 tbechtold@suse.com
- Only the python2 package should provide libvirt-python .
* Wed Aug  2 2017 jfehlig@suse.com
- Update to 3.6.0
  - Add all new APIs and constants in libvirt 3.6.0
* Tue Jul 25 2017 jfehlig@suse.com
- Rename libvirt-python to python-libvirt-python
- Convert to singlespec to support multiple pythons
* Thu Jul  6 2017 jfehlig@suse.com
- Update to 3.5.0
  - Add all new APIs and constants in libvirt 3.5.0
* Fri Jun  2 2017 jfehlig@suse.com
- Update to 3.4.0
  - Add all new APIs and constants in libvirt 3.4.0
* Mon May  8 2017 jfehlig@suse.com
- Update to 3.3.0
  - Add all new APIs and constants in libvirt 3.3.0
  - FATE#319684, FATE#321335, FATE#321349
* Mon Apr  3 2017 jfehlig@suse.com
- Update to 3.2.0
  - Add all new APIs and constants in libvirt 3.2.0
  - FATE#319684, FATE#321335, FATE#321349
* Fri Mar  3 2017 jfehlig@suse.com
- Update to 3.1.0
  - Add all new APIs and constants in libvirt 3.1.0
* Thu Feb  2 2017 jfehlig@suse.com
- SLE12 SP2 FATEs merged via version updates of the Factory
  libvirt-python package:
  FATE#316228, FATE#316628, FATE#319531, FATE#319810, FATE#320490
- SLE12 SP1 FATEs merged via version updates of the Factory
  libvirt-python package:
  FATE#314466, FATE#314497, FATE#315157, FATE#318383
* Thu Jan 19 2017 jfehlig@suse.com
- Update to 3.0.0
  - Add all new APIs and constants in libvirt 3.0.0
* Tue Dec  6 2016 jfehlig@suse.com
- Update to 2.5.0
  - Add all new APIs and constants in libvirt 2.5.0
* Wed Nov  2 2016 jfehlig@suse.com
- Update to 2.4.0
  - Add all new APIs and constants in libvirt 2.4.0
* Wed Oct  5 2016 jfehlig@suse.com
- Update to 2.3.0
  - Add all new APIs and constants in libvirt 2.3.0
- spec: drop explicit Requires on libvirt-client package
* Tue Sep  6 2016 jfehlig@suse.com
- Update to 2.2.0
  - Add all new APIs and constants in libvirt 2.2.0
* Sat Aug 20 2016 jfehlig@suse.com
- Update to 2.1.0
  - Add all new APIs and constants in libvirt 2.1.0
* Fri Jul  1 2016 jfehlig@suse.com
- Update to 2.0.0
  - Add all new APIs and constants in libvirt 2.0.0
* Tue Jun  7 2016 jfehlig@suse.com
- Update to 1.3.5
  - Add all new APIs and constants in libvirt 1.3.5
* Tue May  3 2016 jfehlig@suse.com
- Update to 1.3.4
  - Add all new APIs and constants in libvirt 1.3.4
* Tue Apr 12 2016 jfehlig@suse.com
- Update to 1.3.3
  - Add all new APIs and constants in libvirt 1.3.3
* Tue Mar  1 2016 jfehlig@suse.com
- Update to 1.3.2
  - Add all new APIs and constants in libvirt 1.3.2
* Mon Jan 18 2016 jfehlig@suse.com
- Update to 1.3.1
  - Add all new APIs and constants in libvirt 1.3.1
* Thu Jan  7 2016 jfehlig@suse.com
- Require libvirt-client version >= libvirt-python version
* Mon Dec 21 2015 jfehlig@suse.com
- Update to 1.3.0
  - Add all new APIs and constants in libvirt 1.3.0
* Thu Nov  5 2015 jfehlig@suse.com
- Update to 1.2.21
  - Add all new APIs and constants in libvirt 1.2.21
* Fri Oct  2 2015 jfehlig@suse.com
- Update to 1.2.20
  - Add all new APIs and constants in libvirt 1.2.20
* Wed Sep  2 2015 jfehlig@suse.com
- Update to 1.2.19
  - Add all new APIs and constants in libvirt 1.2.19
* Tue Aug  4 2015 jfehlig@suse.com
- Update to 1.2.18
  - Add all new APIs and constants in libvirt 1.2.18
* Thu Jul  2 2015 jfehlig@suse.com
- Update to 1.2.17
  - Add all new APIs and constants in libvirt 1.2.17
* Mon Jun  1 2015 jfehlig@suse.com
- Update to 1.2.16
  - Add all new APIs and constants in libvirt 1.2.16
* Mon May  4 2015 jfehlig@suse.com
- Update to 1.2.15
  - Add all new APIs and constants in libvirt 1.2.15
* Thu Apr  2 2015 jfehlig@suse.com
- Update to 1.2.14
  - Add all new APIs and constants in libvirt 1.2.14
* Mon Mar  2 2015 jfehlig@suse.com
- Update to 1.2.13
  - Add all new APIs and constants in libvirt 1.2.13
* Tue Jan 27 2015 jfehlig@suse.com
- Update to 1.2.12
  - Add all new APIs and constants in libvirt 1.2.12
* Mon Dec 15 2014 jfehlig@suse.com
- Update to 1.2.11
  - Add all new APIs and constants in libvirt 1.2.11
* Mon Nov  3 2014 jfehlig@suse.com
- Update to 1.2.10
  - Add all new APIs and constants in libvirt 1.2.10
* Thu Oct  2 2014 jfehlig@suse.com
- spec: Remove gpg-offline build dependency and use of gpg_verify
  to verify tarball since this task can be performed by source
  services
* Wed Oct  1 2014 jfehlig@suse.com
- Update to 1.2.9
  - Add all new APIs and constants in libvirt 1.2.9
- Verify tarball using %%gpg_verify using associated .asc file
  Add: libvirt-python.keyring, libvirt-python-1.2.9.tar.gz.asc
  Use upstream .gz tarball instead of locally generated .bz2
* Tue Sep  2 2014 jfehlig@suse.com
- Update to 1.2.8
  - Add all new APIs and constants in libvirt 1.2.8
* Tue Aug  5 2014 jfehlig@suse.com
- Update to 1.2.7
  - Add all new APIs and constants in libvirt 1.2.7
* Wed Jul  2 2014 jfehlig@suse.com
- Update to 1.2.6
  - Add all new APIs and constants in libvirt 1.2.6
* Mon Jun  2 2014 jfehlig@suse.com
- Update to 1.2.5
  - Add all new APIs and constants in libvirt 1.2.5
* Tue May  6 2014 jfehlig@suse.com
- Update to 1.2.4
  - Add all new APIs and constants in libvirt 1.2.4
* Mon Apr  7 2014 jfehlig@suse.com
- Update to 1.2.3
  - Add all new APIs and constants in libvirt 1.2.3
* Mon Mar  3 2014 jfehlig@suse.com
- Update to 1.2.2
  - Add all new APIs and constants in libvirt 1.2.2
* Fri Jan 17 2014 jfehlig@suse.com
- Update to 1.2.1
  - Add all new APIs and constants in libvirt 1.2.1
* Mon Dec  9 2013 jfehlig@suse.com
- Add missing BuildRoot definition
* Mon Dec  9 2013 speilicke@suse.com
- Fix macro usage (Build on SLE)
- Don't rm *.egg-info
- No need for CFLAGS
* Wed Dec  4 2013 jfehlig@suse.com
- Initial packaging of libvirt python bindings after being split
  out of libvirt.git.  The libvirt python bindings are now separate
  from libvirt and maintained in git://libvirt.org/libvirt-python.git
